%define kit2ver		v3
%define ver		%{kit2ver}
# This make all kinput2 combinations when defaultbuild is 1
%define allbuild	0

Summary: kinput2 - kanji input server for X11
Name: kinput2
Version: %{ver}
Release: 14
Group: User Interface/X
Source0: ftp://ftp.sra.co.jp/pub/x11/kinput2/%{name}-%{kit2ver}.tar.gz
#Source0: ftp://ftp.sra.co.jp/pub/x11/kinput2/%{name}-%{kit2ver}-%{betaver}.tar.gz
Source1: Kinput2.conf.canna
Source2: Kinput2.conf.wnn4
Source3: Kinput2.conf.canna-wnn4
Source4: Kinput2.conf.wnn6
Source5: Kinput2.conf.canna-wnn6
Patch0: Kinput2.ad.patch
Patch1: kinput2.ppc.patch
Patch2: %{name}-%{version}.libdir.patch
# ia64 patch (but not complete)
Patch3: kinput2-v3-ia64.patch
Copyright: Distributable
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildPrereq: Canna-devel,FreeWnn-devel,Wnn6-SDK-devel

%description 
Kinput2 is an input server for X11 applications that want Japanese text input.

%if %{allbuild}
%package canna
Summary: kinput2 for Canna
Group: User Interface/X
Obsoletes: kinput2
Conflicts: kinput2-wnn4, kinput2-wnn6, kinput2-canna-wnn4,kinput2-canna-wnn6

%description canna
Kinput2 is an input server for X11 applications that want Japanese text input.
This package inclules kinput2 for Canna.

%package wnn4
Summary: kinput2 for Wnn4
Group: User Interface/X
Obsoletes: kinput2, wnn
Conflicts: kinput2-canna, kinput2-wnn6, kinput2-canna-wnn4,kinput2-canna-wnn6

%description wnn4
Kinput2 is an input server for X11 applications that want Japanese text input.
This package inclules kinput2 for Wnn4.

%package canna-wnn4
Summary: kinput2 for both Canna and Wnn4
Group: User Interface/X
Obsoletes: kinput2, canna-wnn
Conflicts: kinput2-canna, kinput2-wnn6, kinput2-wnn4,kinput2-canna-wnn6

%description canna-wnn4
Kinput2 is an input server for X11 applications that want Japanese text input.
This package inclules kinput2 for both Canna and Wnn4.

%package wnn6
Summary: kinput2 for Wnn6
Group: User Interface/X
Obsoletes: kinput2
Conflicts: kinput2-canna, kinput2-wnn4, kinput2-canna-wnn4,kinput2-canna-wnn6

%description wnn6
Kinput2 is an input server for X11 applications that want Japanese text input.
This package inclules kinput2 for Wnn6.

%endif #allbuild macro

%package canna-wnn6
Summary: kinput2 for both Canna and Wnn6
Group: User Interface/X
Obsoletes: kinput2
Conflicts: kinput2-canna, kinput2-wnn4, kinput2-canna-wnn4,kinput2-wnn6

%description canna-wnn6
Kinput2 is an input server for X11 applications that want Japanese text input.
This package inclules kinput2 for both Canna and Wnn6.

%prep
%setup -q
#%setup -q -n %{name}-%{kit2ver}-%{betaver}
cp ${RPM_SOURCE_DIR}/Kinput2.conf.* .
%patch0 -p1
%ifarch ppc
%patch1 -p1
%endif
%patch2 -p1
%patch3 -p1 -b .ia64

head -21 cmd/kinput2.c >Copyright

rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6
if [ -d /usr/X11R6.1 ]; then
	ln -sf ${RPM_BUILD_ROOT}/usr/X11R6 ${RPM_BUILD_ROOT}/usr/X11R6.1
fi
if [ -d /usr/X11R6.3 ]; then
	ln -sf ${RPM_BUILD_ROOT}/usr/X11R6 ${RPM_BUILD_ROOT}/usr/X11R6.3
fi
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/man/man1

%build

%if %{allbuild}
rm -f Kinput2.conf
ln -sf Kinput2.conf.canna Kinput2.conf
xmkmf -a
make
mv cmd/kinput2 kinput2.canna
make clean

ln -sf Kinput2.conf.wnn4 Kinput2.conf
xmkmf -a
make
mv cmd/kinput2 kinput2.wnn4
make clean

ln -sf Kinput2.conf.canna-wnn4 Kinput2.conf
xmkmf -a
make
mv cmd/kinput2 kinput2.canna-wnn4
make clean

ln -sf Kinput2.conf.wnn6 Kinput2.conf
xmkmf -a
make
mv cmd/kinput2 kinput2.wnn6
make clean

%endif

ln -sf Kinput2.conf.canna-wnn6 Kinput2.conf
xmkmf -a
make
mv cmd/kinput2 kinput2.canna-wnn6

%install
%if %{allbuild}
install -c -s -m 0755 kinput2.canna      ${RPM_BUILD_ROOT}/usr/X11R6/bin
install -c -s -m 0755 kinput2.wnn4       ${RPM_BUILD_ROOT}/usr/X11R6/bin
install -c -s -m 0755 kinput2.canna-wnn4 ${RPM_BUILD_ROOT}/usr/X11R6/bin
install -c -s -m 0755 kinput2.wnn6       ${RPM_BUILD_ROOT}/usr/X11R6/bin
%endif
install -c -s -m 0755 kinput2.canna-wnn6 ${RPM_BUILD_ROOT}/usr/X11R6/bin

mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/app-defaults
install -c -m 0444 cmd/Kinput2.ad ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/app-defaults/Kinput2

mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/ccdef
install -c -m 0444 ccdef/ccdef.* ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/ccdef
install -c -m 0444 ccdef/rule.*  ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/ccdef

make install.man DESTDIR=${RPM_BUILD_ROOT}

%clean
rm -rf ${RPM_BUILD_ROOT}

%if %{allbuild}
%post canna
ln -sf kinput2.canna /usr/X11R6/bin/kinput2

%preun canna
if [ "$1" = 0 ]; then
	rm -rf /usr/X11R6/bin/kinput2
fi

%post wnn4
ln -sf kinput2.wnn4 /usr/X11R6/bin/kinput2

%preun wnn4
if [ "$1" = 0 ]; then
	rm -rf /usr/X11R6/bin/kinput2
fi

%post canna-wnn4
ln -sf kinput2.canna-wnn4 /usr/X11R6/bin/kinput2

%preun canna-wnn4
if [ "$1" = 0 ]; then
	rm -rf /usr/X11R6/bin/kinput2
fi


%post wnn6
ln -sf kinput2.wnn6 /usr/X11R6/bin/kinput2

%preun wnn6
if [ "$1" = 0 ]; then
	rm -rf /usr/X11R6/bin/kinput2
fi

%endif

%post canna-wnn6
ln -sf kinput2.canna-wnn6 /usr/X11R6/bin/kinput2

%preun canna-wnn6
if [ "$1" = 0 ]; then
	rm -rf /usr/X11R6/bin/kinput2
fi

%if %{allbuild}
%files canna
%defattr(-, root, root)
%doc Copyright NEWS README doc
%config /usr/X11R6/lib/X11/app-defaults/Kinput2
/usr/X11R6/bin/kinput2.canna
/usr/X11R6/man/man1/kinput2.1x*

%files wnn4
%defattr(-, root, root)
%doc Copyright NEWS README doc
%config /usr/X11R6/lib/X11/app-defaults/Kinput2
/usr/X11R6/lib/X11/ccdef
/usr/X11R6/bin/kinput2.wnn4
/usr/X11R6/man/man1/kinput2.1x*

%files canna-wnn4
%defattr(-, root, root)
%doc Copyright NEWS README doc
%config /usr/X11R6/lib/X11/app-defaults/Kinput2
/usr/X11R6/lib/X11/ccdef
/usr/X11R6/bin/kinput2.canna-wnn4
/usr/X11R6/man/man1/kinput2.1x*

%files wnn6
%defattr(-, root, root)
%doc Copyright NEWS README doc
%config /usr/X11R6/lib/X11/app-defaults/Kinput2
/usr/X11R6/lib/X11/ccdef
/usr/X11R6/bin/kinput2.wnn6
/usr/X11R6/man/man1/kinput2.1x*
%endif

%files canna-wnn6
%defattr(-, root, root)
%doc Copyright NEWS README doc
%config /usr/X11R6/lib/X11/app-defaults/Kinput2
/usr/X11R6/lib/X11/ccdef
/usr/X11R6/bin/kinput2.canna-wnn6
/usr/X11R6/man/man1/kinput2.1x*

%changelog
* Tue Jul 24 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add Canna-devel and Wnn6-SDK to BuildPrereq (#49881)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed Dec 13 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add IA64 patch (but not complete)
- Provide only kinput2-canna-wnn6 by default

* Tue Sep 12 2000 Satoru Sato <ssato@redhat.com>
- Add Conflicts

* Fri Aug 11 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add BuildPrereq

* Fri Aug 04 2000 Yukihiro Nakai <ynakai@redhat.com>
- Fix for sawfish
- Rebuild for 7.0J

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 12 2000 Matt Wilson <msw@redhat.com>
- merge to head development

* Wed Mar 15 2000 Matt Wilson <msw@redhat.com>
- rebuilt for 6.2j
- rebuilt against FreeWnn (just in case)
- gzip man pagesc

* Sat Mar  4 2000 Chris Ding <cding@redhat.com>
- changed group

* Wed Oct  6 1999 Matt Wilson <msw@redhat.com>
- rebuilt for 6.1

* Wed Jul 07 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- built against glibc-2.1

* Mon Jun 28 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 2nd. release
- defined LIBDIR as /var/lib/wnn in lib/wnnlib.c
  thanks Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>

* Mon May 31 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version v3

* Wed May 26 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version v3-beta4

* Mon May 10 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version v3-beta3

* Tue Apr 20 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version v3-beta2

* Fri Mar 19 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- version up to v2-fix5-alpha8

* Mon Mar  8 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- version up to v2-fix5-alpha7

* Mon Feb  8 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- version up to v2-fix5-alpha6

* Wed Jan 27 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 2nd release
- prepared Kinput2.conf file as a source

* Thu Jan 21 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- version up to v2-fix5-alpha5
- wnn -> wnn4
- added wnn6 and canna-wnn6
- Extensions/Japanese -> X11/Utilities

* Wed Jul 29 1998 Susumu Nagashige <nagasige@ops.dti.ne.jp>
- 4th Release.
- removed binary dependency.
- removed common package.

* Wed May 13 1998 Susumu Nagashige <nagasige@netlaputa.ne.jp>
- 3rd Release.
- added FilterEvent Patch

* Mon Feb 23 1998 Susumu Nagashige <nagasige@netlaputa.ne.jp>
- 2nd Release.
- fix to RedHat-5.0

* Sat Dec 13 1997 Susumu Nagashige <nagasige@netlaputa.ne.jp>
- 1st Release
